Package jakarta.servlet.jsp

# Class ErrorData

java.lang.Object
jakarta.servlet.jsp.ErrorData

public final class ErrorData extends Object
Contains information about an error, for error pages. The information contained in this instance is meaningless if not used in the context of an error page. To indicate a JSP is an error page, the page author must set the isErrorPage attribute of the page directive to "true".

Since:
  JSP 2.0
See Also:
  - `PageContext.getErrorData()`

## Constructor Summary

Constructors
Constructor
Description
`ErrorData(Throwable throwable, int statusCode, String uri, String servletName)`
Deprecated, for removal: This API element is subject to removal in a future version.
Use {#link `ErrorData(Throwable, int, String, String, String, String)`
`ErrorData(Throwable throwable, int statusCode, String method, String uri, String servletName, String queryString)`
Creates a new ErrorData object.

## Method Summary

Modifier and Type
Method
Description
`String`
`getMethod()`
Returns the request method.
`String`
`getQueryString()`
Returns the request query string or `null` if the request had no query string.
`String`
`getRequestURI()`
Returns the request URI.
`String`
`getServletName()`
Returns the name of the servlet invoked.
`int`
`getStatusCode()`
Returns the status code of the error.
`Throwable`
`getThrowable()`
Returns the Throwable that caused the error.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ErrorData

@Deprecated(since="4.0", forRemoval=true) public ErrorData(Throwable throwable, int statusCode, String uri, String servletName)
Deprecated, for removal: This API element is subject to removal in a future version.
Use {#link `ErrorData(Throwable, int, String, String, String, String)`
Creates a new ErrorData object.

Parameters:
  `throwable` - The Throwable that is the cause of the error
  `statusCode` - The status code of the error
  `uri` - The request URI
  `servletName` - The name of the servlet invoked

### ErrorData

public ErrorData(Throwable throwable, int statusCode, String method, String uri, String servletName, String queryString)
Creates a new ErrorData object.

Parameters:
  `throwable` - The Throwable that is the cause of the error
  `statusCode` - The status code of the error
  `method` - The request method
  `uri` - The request URI
  `servletName` - The name of the servlet invoked
  `queryString` - The request query string
Since:
  JSP 4.0

## Method Details

### getThrowable

public Throwable getThrowable()
Returns the Throwable that caused the error.

Returns:
  The Throwable that caused the error

### getStatusCode

public int getStatusCode()
Returns the status code of the error.

Returns:
  The status code of the error

### getMethod

public String getMethod()
Returns the request method.

Returns:
  The request method

### getRequestURI

public String getRequestURI()
Returns the request URI.

Returns:
  The request URI

### getServletName

public String getServletName()
Returns the name of the servlet invoked.

Returns:
  The name of the servlet invoked

### getQueryString

public String getQueryString()
Returns the request query string or `null` if the request had no query string.

Returns:
  The request query string
Since:
  JSP 4.0